RandomGenerator (Colt 1.2.0 - API Specification)
Keywords: cern.jet.random.engine.RandomGenerator interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.jet.random.engine
Interface RandomGenerator

public interface RandomGenerator

Interface for uniform pseudo-random number generators.

Method Summary
`double` | `nextDouble()` Returns a 64 bit uniformly distributed random number in the open unit interval `(0.0,1.0)` (excluding 0.0 and 1.0).
`float` | `nextFloat()` Returns a 32 bit uniformly distributed random number in the open unit interval `(0.0f,1.0f)` (excluding 0.0f and 1.0f).
`int` | `nextInt()` Returns a 32 bit uniformly distributed random number in the closed interval `[Integer.MIN_VALUE,Integer.MAX_VALUE]` (including `Integer.MIN_VALUE` and `Integer.MAX_VALUE`);
`long` | `nextLong()` Returns a 64 bit uniformly distributed random number in the closed interval `[Long.MIN_VALUE,Long.MAX_VALUE]` (including `Long.MIN_VALUE` and `Long.MAX_VALUE`).
`double` | `raw()` Returns a 32 bit uniformly distributed random number in the open unit interval `(0.0,1.0)` (excluding 0.0 and 1.0).

Method Detail

### raw

    public double raw()

  Returns a 32 bit uniformly distributed random number in the open unit interval `(0.0,1.0)` (excluding 0.0 and 1.0).

### nextDouble

    public double nextDouble()

  Returns a 64 bit uniformly distributed random number in the open unit interval `(0.0,1.0)` (excluding 0.0 and 1.0).

### nextInt

    public int nextInt()

  Returns a 32 bit uniformly distributed random number in the closed interval `[Integer.MIN_VALUE,Integer.MAX_VALUE]` (including `Integer.MIN_VALUE` and `Integer.MAX_VALUE`);

### nextLong

    public long nextLong()

  Returns a 64 bit uniformly distributed random number in the closed interval `[Long.MIN_VALUE,Long.MAX_VALUE]` (including `Long.MIN_VALUE` and `Long.MAX_VALUE`).

### nextFloat

    public float nextFloat()

  Returns a 32 bit uniformly distributed random number in the open unit interval `(0.0f,1.0f)` (excluding 0.0f and 1.0f).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage